[**@lancedb/lancedb**](../README.md) • **Docs**

***

[@lancedb/lancedb](../globals.md) / VectorColumnOptions

# Class: VectorColumnOptions

## Constructors

### new VectorColumnOptions()

```ts
new VectorColumnOptions(values?): VectorColumnOptions
```

#### Parameters

* **values?**: `Partial`&lt;[`VectorColumnOptions`](VectorColumnOptions.md)&gt;

#### Returns

[`VectorColumnOptions`](VectorColumnOptions.md)

## Properties

### type

```ts
type: Float<Floats>;
```

Vector column type.
